package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.StatCell;

class SumStatCell extends StatCell {
  private boolean isNull = true;
  
  private double total = 0.0D;
  
  private Object result = null;
  
  public void reset() {
    this.isNull = true;
    this.total = 0.0D;
    this.result = null;
  }
  
  public void statistic(Object value) {
    if (value instanceof Double) {
      this.total += ((Double)value).doubleValue();
      this.isNull = false;
    } else if (value instanceof Integer) {
      this.total += ((Integer)value).intValue();
      this.isNull = false;
    } else if (value instanceof Short) {
      this.total += ((Short)value).intValue();
      this.isNull = false;
    } else if (value instanceof Long) {
      this.total += ((Long)value).longValue();
      this.isNull = false;
    } else if (value instanceof String) {
      try {
        this.total += Double.parseDouble((String)value);
        this.isNull = false;
      } catch (NumberFormatException numberFormatException) {}
    } 
  }
  
  public Object getResult() {
    if (this.result == null && !this.isNull)
      this.result = new Double(this.total); 
    return this.result;
  }
}
